org.encog.app.analyst.csv

## Class TimeSeriesUtil

- java.lang.Object
- - org.encog.app.analyst.csv.TimeSeriesUtil

-     public class TimeSeriesUtil
      extends Object

  A utility used to breat data into time-series lead and lag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSeriesUtil(EncogAnalyst theAnalyst, boolean includeOutput, List<String> headings)` Construct the time-series utility.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EncogAnalyst` | `getAnalyst()`
    `List<double[]>` | `getBuffer()`
    `Map<String,Integer>` | `getHeadingMap()`
    `int` | `getInputSize()`
    `int` | `getLagDepth()`
    `int` | `getLeadDepth()`
    `int` | `getOutputSize()`
    `int` | `getTotalDepth()`
    `double[]` | `process(double[] input)` Process a row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSeriesUtil

          public TimeSeriesUtil(EncogAnalyst theAnalyst,
                        boolean includeOutput,
                        List<String> headings)

      Construct the time-series utility.
      Parameters:
        `theAnalyst` - The analyst to use.
        `headings` - The column headings.

  - ### Method Detail

    - #### getAnalyst

          public EncogAnalyst getAnalyst()

      Returns:
        the analyst

    - #### getBuffer

          public List<double[]> getBuffer()

      Returns:
        the buffer

    - #### getHeadingMap

          public Map<String,Integer> getHeadingMap()

      Returns:
        the headingMap

    - #### getInputSize

          public int getInputSize()

      Returns:
        the inputSize

    - #### getLagDepth

          public int getLagDepth()

      Returns:
        the lagDepth

    - #### getLeadDepth

          public int getLeadDepth()

      Returns:
        the leadDepth

    - #### getOutputSize

          public int getOutputSize()

      Returns:
        the outputSize

    - #### getTotalDepth

          public int getTotalDepth()

      Returns:
        the totalDepth

    - #### process

          public double[] process(double[] input)

      Process a row.
      Parameters:
        `input` - The input.
      Returns:
        The output.

Copyright © 2014. All Rights Reserved.